"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class S3Helper {
    constructor($httpClient) {
        this.$httpClient = $httpClient;
    }
    getJsonObjectFromS3File(pathToFile) {
        return __awaiter(this, void 0, void 0, function* () {
            return JSON.parse(yield this.getContentOfS3File(pathToFile));
        });
    }
    getContentOfS3File(pathToFile) {
        return __awaiter(this, void 0, void 0, function* () {
            return (yield this.$httpClient.httpRequest(pathToFile)).body;
        });
    }
}
exports.S3Helper = S3Helper;
$injector.register("nsCloudS3Helper", S3Helper);
