"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../constants");
const eula_service_base_1 = require("./eula-service-base");
class KinveyEulaService extends eula_service_base_1.EulaServiceBase {
    constructor($fs, $httpClient, $nsCloudLockService, $logger, $nsCloudHashService, $settingsService, $userSettingsService, $nsCloudTempService) {
        super($fs, $httpClient, $nsCloudLockService, $logger, $nsCloudHashService, $settingsService, $userSettingsService, $nsCloudTempService);
    }
    getAcceptedEulaHashPropertyName() {
        return constants_1.EulaConstants.acceptedKinveyEulaHashKey;
    }
    getEulaFileName() {
        return "Kinvey-EULA.pdf";
    }
    getEulaUrl() {
        return constants_1.EulaConstants.kinveyEulaUrl;
    }
}
exports.KinveyEulaService = KinveyEulaService;
$injector.register("nsCloudKinveyEulaService", KinveyEulaService);
