"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
class PackageInfoService {
    constructor($fs) {
        this.$fs = $fs;
    }
    getVersion() {
        return this.getPackageJsonData().version;
    }
    getPackageJsonData() {
        const pathToPackageJson = path_1.join(__dirname, "..", "..", "package.json");
        return this.$fs.readJson(pathToPackageJson);
    }
}
exports.PackageInfoService = PackageInfoService;
$injector.register("nsCloudPackageInfoService", PackageInfoService);
