"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../../constants");
const server_service_base_1 = require("./server-service-base");
class ServerProjectService extends server_service_base_1.ServerServiceBase {
    constructor($nsCloudServerRequestService, $injector) {
        super($nsCloudServerRequestService, $injector);
        this.$nsCloudServerRequestService = $nsCloudServerRequestService;
        this.serviceName = constants_1.PROJECT_SERVICE_NAME;
    }
    cleanupProjectData(projectData) {
        global.showErrorForStoppedCloudBuilds();
        return this.sendRequest(constants_1.HTTP_METHODS.POST, "api/cleanup-data", projectData);
    }
}
exports.ServerProjectService = ServerProjectService;
$injector.register("nsCloudServerProjectService", ServerProjectService);
