"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CloudProcessService {
    constructor($nsCloudPolyfillService) {
        this.$nsCloudPolyfillService = $nsCloudPolyfillService;
    }
    get $nsCloudProcessService() {
        return this.$nsCloudPolyfillService.getPolyfillObject("processService", {
            listenersCount: 0,
            attachToProcessExitSignals: (context, callback) => { }
        });
    }
    get listenersCount() {
        return this.$nsCloudProcessService.listenersCount;
    }
    set listenersCount(value) {
        this.$nsCloudProcessService.listenersCount = value;
    }
    attachToProcessExitSignals(context, callback) {
        return this.$nsCloudProcessService.attachToProcessExitSignals(context, callback);
    }
}
exports.CloudProcessService = CloudProcessService;
$injector.register("nsCloudProcessService", CloudProcessService);
