"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const server_request_service_1 = require("../server-request-service");
class MBaasRequestService extends server_request_service_1.ServerRequestService {
    constructor($nsCloudAuthenticationService, $logger, $injector) {
        super($nsCloudAuthenticationService, $logger, $injector);
        this.$injector = $injector;
    }
    get proxyService() {
        return this.$injector.resolve("nsCloudMBaasProxy");
    }
}
exports.MBaasRequestService = MBaasRequestService;
$injector.register("nsCloudMBaasRequestService", MBaasRequestService);
